/* Copyright (C) 1999 Dustin Ward <Vortex@qconline.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include "config.h"
#ifdef HAVE_READLINE_H
#define HAVE_READLINE 1
#include <readline.h>
#endif

#ifdef HAVE_READLINE_READLINE_H
#define HAVE_READLINE 1
#include <readline/readline.h>
#endif
#ifdef HAVE_SYS_SYSLOG_H
#include <sys/syslog.h>
#endif
char *
nextword (char *buf, char *arg, char *param, char *whole)
{

  char *buf2;
  char *buf3;
  buf3 = malloc (512);
  buf2 = malloc (512);
  strcpy (buf2, buf);
  if (strchr (buf, ' ') != NULL)
    {
      strtok (buf, " ");
      if (strtok (NULL, " ") != NULL)
	if (strchr (buf2, ' ') != NULL)
	  {
	    strtok (buf2, " ");
	    strcpy (arg, strtok (NULL, "\n\r"));
	  }
    }
   whole=strdup(arg);
   strcpy(buf3, arg);
   if (strchr (arg, ' ') != NULL)
    {
      strtok (arg, " ");
      if (strtok (NULL, " ") != NULL)
	if (strchr (buf3, ' ') != NULL)
	  {
	    strtok (buf3, " ");
	    strcpy (param, strtok (NULL, " "));
	  }
    }
  free(buf3);
  free(buf2);
  return 0;
}

void
getinput (char *buffer, char *prompt)
{
  char *buf;
  int len;
  len = 100;
  buf = readline (prompt);
  if (buf == NULL)
    exit (0);
  memset (buffer, '\0', len);
  strncpy (buffer, buf, len);
  free (buf);
}
void myperror(const char *s)
{  
   #ifdef HAVE_SYS_SYSLOG_H
   syslog(LOG_INFO, strerror(errno));
   #endif
   perror(s);
}
int statusbar(int percent)
{
   int blah2;
   int x;
   char *ag1;
   char buffer[256];
   ag1=malloc(1024);
   percent=percent/2;
   blah2=50-percent;
   strcpy(ag1, "");
   for(x=0;x<percent;x++)
     {
	strcat(ag1, "=");
     }
   strcat(ag1, ">");
   for(x=0;x<blah2;x++)
     {
	strcat(ag1, " ");
     }
   sprintf(buffer, "Status: 0%%|(%s)|100%%\n", ag1);
   fprintf(stderr, buffer);
  return 0;
}

